.myContainer {
    max-width: 120rem; /* If screensize has those px available it will use that width, otherwise it will use 100% of the available width (because of div's default) */
    margin: 0 auto;
}

.hero {
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}

.hero-content {             
    font-size: 2.5rem;
    font-weight: 550;
    
    /* In order to add a shadow to the image, we'll use a background color with transparency and position it correctly */
    /* position: absolute;  *//* Absolute positioning allows us to position "hero-content" relative to the "hero" element instead of the entire document */
    width: 100%; /* Setting width and height to 100% will make "hero-content" take up all the available space within "hero" */
    min-height: 90%; /* Change height to min-height */
    background-color: rgba(0, 0, 0, 0.3); /* Black background color with 40% opacity */

    /* This will center the items within hero-content both vertically and horizontally */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero-content p
{
    color: var(--white);
}

.hero-content .my_location {
    display: flex;
    align-items: center;
}

.hero-content .my_location p {
    margin-top: 0;
    margin-bottom: 0;
}

@media (max-width: 767px) {
    .hero {
        height: auto;
    }
    .hero-content {
        min-height: 0; 
        background-color: rgba(0, 0, 0, 0.3);
        padding: 2rem; 
    }
    .nav-bg {
        position: relative;
        min-height: auto; 
    }
}

.nav-bg {                                      
    background-color: rgba(0, 0, 0, 0.3); /* Black background color with 40% opacity */
    transition: background-color 0.3s; /* Smooth transition effect */
    min-height: 10%;
}                                              

.nav-bg:hover, .myTopMenu:hover {
    background-color: var(--primary_color); /* Change to your desired background color on hover */
}

.Principal_Nav {
    display: flex;
    flex-direction: column; /* if width < 768 px => column */
    align-items: center; /* This will center items on a column */
    
}

@media (min-width: 768px) {
    .Principal_Nav {
        flex-direction: row; /*change to row (default) if width == 768px or more*/
        justify-content: space-between; /* This will center items on a row */
    }
}

.Principal_Nav a {
    /*display: block;     /* this is an alternative to display:column , */
    /*text-align: center; /* align-items: center */
    color: var(--white);
    text-decoration: none; /* remove default underline */
    font-size: 2rem;
    font-weight: bold;
    padding: 1rem; 
}

.Principal_Nav a:hover {
    background-color: var(--secondary_color);
    color: var(--dark);
}

.Principal_Nav a:focus {
    background-color: var(--secondary_color);
    color: var(--dark);
}

.Principal_Nav, .myService, .myForm {
    scroll-snap-align: center;
    scroll-snap-stop: always;
}